Loading...
Searching...
No Matches
pdftron::PDF::DataExtractionOptions Class Reference

`#include <DataExtractionOptions.h>`

Inheritance diagram for pdftron::PDF::DataExtractionOptions:

## Public Member Functions
| DataExtractionOptions ()
| ~DataExtractionOptions ()
bool | GetDeepLearningAssist ()
DataExtractionOptions & | SetDeepLearningAssist (bool value)
bool | GetDetectEmptyFields ()
DataExtractionOptions & | SetDetectEmptyFields (bool value)
DataExtractionOptions & | AddExclusionZonesForPage (RectCollection &value, int page_num)
UString | GetFormExtractionEngine ()
DataExtractionOptions & | SetFormExtractionEngine (const UString &value)
DataExtractionOptions & | AddInclusionZonesForPage (RectCollection &value, int page_num)
UString | GetLanguage ()
DataExtractionOptions & | SetLanguage (const UString &value)
double | GetMinimumConfidenceThreshold ()
DataExtractionOptions & | SetMinimumConfidenceThreshold (double value)
UString | GetOverlappingFormFieldBehavior ()
DataExtractionOptions & | SetOverlappingFormFieldBehavior (const UString &value)
UString | GetPDFPassword ()
DataExtractionOptions & | SetPDFPassword (const UString &value)
UString | GetPages ()
DataExtractionOptions & | SetPages (const UString &value)
bool | GetTextRecoveryNSE ()
DataExtractionOptions & | SetTextRecoveryNSE (bool value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 9 of file DataExtractionOptions.h.

## Constructor & Destructor Documentation

## ◆ DataExtractionOptions()

pdftron::PDF::DataExtractionOptions::DataExtractionOptions | ( |  | ) |

## ◆ ~DataExtractionOptions()

pdftron::PDF::DataExtractionOptions::~DataExtractionOptions | ( |  | ) |

## Member Function Documentation

## ◆ AddExclusionZonesForPage()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::AddExclusionZonesForPage | ( | RectCollection & | value,
|  | int | page_num )

Adds the value to the ExclusionZonesForPage array. Optional list of page areas to be excluded from analysis. Zones should be provided as a collection of Rects paired with a page number. The Rects are then applied to the corresponding page. Rects are specified in User Space coordinates. If this is set, the specified areas will not be analyzed. If neither this nor InclusionZonesForPage is set, the entire page will be analyzed. This option only affects the GenericKeyValue, FormKeyValue, and FormField engines.

Parameters

  value | List of page areas to be excluded from analysis.
  page_num | The page number (1-indexed) to which the regions are applied.

Returns
  This object, for call chaining.

## ◆ AddInclusionZonesForPage()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::AddInclusionZonesForPage | ( | RectCollection & | value,
|  | int | page_num )

Adds the value to the InclusionZonesForPage array. Optional list of page areas to be included in analysis (to the exclusion of all other areas). Zones should be provided as a collection of Rects paired with a page number. The Rects are then applied to the corresponding page. Rects are specified in User Space coordinates. If this is set, only the areas specified will be analyzed. If neither this nor ExclusionZonesForPage is set, the entire page will be analyzed. This option only affects the GenericKeyValue, FormKeyValue, and FormField engines.

Parameters

  value | List of page areas to be included in analysis.
  page_num | The page number (1-indexed) to which the regions are applied.

Returns
  This object, for call chaining.

## ◆ GetDeepLearningAssist()

bool pdftron::PDF::DataExtractionOptions::GetDeepLearningAssist | ( |  | ) |

Gets the value DeepLearningAssist from the options object. Specifies if Deep Learning is used with table recognition in the DocStructure engine. The default is false. When true, table recognition accuracy improves at the cost of increased processing time. This only affects the DocStructure engine.

Returns
  The current value for DeepLearningAssist.

## ◆ GetDetectEmptyFields()

bool pdftron::PDF::DataExtractionOptions::GetDetectEmptyFields | ( |  | ) |

Gets the value DetectEmptyFields from the options object. Specifies if empty fields should be recognized in the GenericKeyValue engine. The default is true. Users who don't require empty fields could benefit from setting this option to false, thus reducing processing time. This setting only affects the GenericKeyValue engine.

Returns
  The current value for DetectEmptyFields.

## ◆ GetFormExtractionEngine()

UString pdftron::PDF::DataExtractionOptions::GetFormExtractionEngine | ( |  | ) |

Gets the value FormExtractionEngine from the options object. Specifies the form extraction engine used in DetectAndAddFormFieldsToPDF, either 'Form' or 'FormKeyValue'. The default is 'Form'.

Returns
  The current value for FormExtractionEngine.

## ◆ GetLanguage()

UString pdftron::PDF::DataExtractionOptions::GetLanguage | ( |  | ) |

Gets the value Language from the options object. Specifies the OCR language(s). Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

Returns
  The current value for Language.

## ◆ GetMinimumConfidenceThreshold()

double pdftron::PDF::DataExtractionOptions::GetMinimumConfidenceThreshold | ( |  | ) |

Gets the value MinimumConfidenceThreshold from the options object. Specifies the minimum confidence threshold for a class to be accepted in the DocClassification engine. The default is 0.25. Classes that don't meet the minimum threshold will not be listed in the output JSON. This setting only affects the DocClassification engine.

Returns
  The current value for MinimumConfidenceThreshold.

## ◆ GetOverlappingFormFieldBehavior()

UString pdftron::PDF::DataExtractionOptions::GetOverlappingFormFieldBehavior | ( |  | ) |

Gets the value OverlappingFormFieldBehavior from the options object. When a detected form field overlaps with an existing one, keep either the old field (value 'KeepOld'), or the new one (value 'KeepNew', default).

Returns
  The current value for OverlappingFormFieldBehavior.

## ◆ GetPages()

UString pdftron::PDF::DataExtractionOptions::GetPages | ( |  | ) |

Gets the value Pages from the options object. Specifies a range of pages to be converted, such as "1-5". By default all pages are converted. The first page has the page number of 1.

Returns
  The current value for Pages.

## ◆ GetPDFPassword()

UString pdftron::PDF::DataExtractionOptions::GetPDFPassword | ( |  | ) |

Gets the value PDFPassword from the options object. Specifies the password if the PDF requires one. The default is no password.

Returns
  The current value for PDFPassword.

## ◆ GetTextRecoveryNSE()

bool pdftron::PDF::DataExtractionOptions::GetTextRecoveryNSE | ( |  | ) |

Gets the value TextRecoveryNSE from the options object. Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true. This setting only affects the DocStructure engine. Note: This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

Returns
  The current value for TextRecoveryNSE.

## ◆ SetDeepLearningAssist()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetDeepLearningAssist | ( | bool | value | ) |

Sets the value for DeepLearningAssist in the options object. Specifies if Deep Learning is used with table recognition in the DocStructure engine. The default is false. When true, table recognition accuracy improves at the cost of increased processing time. This only affects the DocStructure engine.

Parameters

  value | The new value for DeepLearningAssist.

Returns
  This object, for call chaining.

## ◆ SetDetectEmptyFields()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetDetectEmptyFields | ( | bool | value | ) |

Sets the value for DetectEmptyFields in the options object. Specifies if empty fields should be recognized in the GenericKeyValue engine. The default is true. Users who don't require empty fields could benefit from setting this option to false, thus reducing processing time. This setting only affects the GenericKeyValue engine.

Parameters

  value | The new value for DetectEmptyFields.

Returns
  This object, for call chaining.

## ◆ SetFormExtractionEngine()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetFormExtractionEngine | ( | const UString & | value | ) |

Sets the value for FormExtractionEngine in the options object. Specifies the form extraction engine used in DetectAndAddFormFieldsToPDF, either 'Form' or 'FormKeyValue'. The default is 'Form'.

Parameters

  value | The new value for FormExtractionEngine.

Returns
  This object, for call chaining.

## ◆ SetLanguage()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetLanguage | ( | const UString & | value | ) |

Sets the value for Language in the options object. Specifies the OCR language(s). Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

Parameters

  value | The new value for Language.

Returns
  This object, for call chaining.

## ◆ SetMinimumConfidenceThreshold()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetMinimumConfidenceThreshold | ( | double | value | ) |

Sets the value for MinimumConfidenceThreshold in the options object. Specifies the minimum confidence threshold for a class to be accepted in the DocClassification engine. The default is 0.25. Classes that don't meet the minimum threshold will not be listed in the output JSON. This setting only affects the DocClassification engine.

Parameters

  value | The new value for MinimumConfidenceThreshold.

Returns
  This object, for call chaining.

## ◆ SetOverlappingFormFieldBehavior()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetOverlappingFormFieldBehavior | ( | const UString & | value | ) |

Sets the value for OverlappingFormFieldBehavior in the options object. When a detected form field overlaps with an existing one, keep either the old field (value 'KeepOld'), or the new one (value 'KeepNew', default).

Parameters

  value | The new value for OverlappingFormFieldBehavior.

Returns
  This object, for call chaining.

## ◆ SetPages()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetPages | ( | const UString & | value | ) |

Sets the value for Pages in the options object. Specifies a range of pages to be converted, such as "1-5". By default all pages are converted. The first page has the page number of 1.

Parameters

  value | The new value for Pages.

Returns
  This object, for call chaining.

## ◆ SetPDFPassword()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetPDFPassword | ( | const UString & | value | ) |

Sets the value for PDFPassword in the options object. Specifies the password if the PDF requires one. The default is no password.

Parameters

  value | The new value for PDFPassword.

Returns
  This object, for call chaining.

## ◆ SetTextRecoveryNSE()

DataExtractionOptions & pdftron::PDF::DataExtractionOptions::SetTextRecoveryNSE | ( | bool | value | ) |

Sets the value TextRecoveryNSE in the options object. Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true. This setting only affects the DocStructure engine. Note: This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

Parameters

  value | The new value for TextRecoveryNSE.

Returns
  This object, for call chaining.

The documentation for this class was generated from the following file:

- PDF/DataExtractionOptions.h